OpenCV: cv::superres::SuperResolution Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::superres::SuperResolution Class Referenceabstract
Super Resolution

Base class for Super Resolution algorithms. More...

`#include "superres.hpp"`

Inheritance diagram for cv::superres::SuperResolution:

## Public Member Functions
virtual void | collectGarbage ()
| Clear all inner buffers. More...
virtual double | getAlpha () const =0
| Parameter of spacial distribution in Bilateral-TV. More...
virtual int | getBlurKernelSize () const =0
| Gaussian blur kernel size. More...
virtual double | getBlurSigma () const =0
| Gaussian blur sigma. More...
virtual int | getIterations () const =0
| Iterations count. More...
virtual int | getKernelSize () const =0
| Kernel size of Bilateral-TV filter. More...
virtual double | getLabmda () const =0
| Weight parameter to balance data term and smoothness term. More...
virtual Ptr< cv::superres::DenseOpticalFlowExt > | getOpticalFlow () const =0
| Dense optical flow algorithm. More...
virtual int | getScale () const =0
| Scale factor. More...
virtual double | getTau () const =0
| Asymptotic value of steepest descent method. More...
virtual int | getTemporalAreaRadius () const =0
| Radius of the temporal search area. More...
void | nextFrame (OutputArray frame) CV_OVERRIDE
| Process next frame from input and return output result. More...
void | reset () CV_OVERRIDE
virtual void | setAlpha (double val)=0
| Parameter of spacial distribution in Bilateral-TV. More...
virtual void | setBlurKernelSize (int val)=0
| Gaussian blur kernel size. More...
virtual void | setBlurSigma (double val)=0
| Gaussian blur sigma. More...
void | setInput (const Ptr< FrameSource > &frameSource)
| Set input frame source for Super Resolution algorithm. More...
virtual void | setIterations (int val)=0
| Iterations count. More...
virtual void | setKernelSize (int val)=0
| Kernel size of Bilateral-TV filter. More...
virtual void | setLabmda (double val)=0
| Weight parameter to balance data term and smoothness term. More...
virtual void | setOpticalFlow (const Ptr< cv::superres::DenseOpticalFlowExt > &val)=0
| Dense optical flow algorithm. More...
virtual void | setScale (int val)=0
| Scale factor. More...
virtual void | setTau (double val)=0
| Asymptotic value of steepest descent method. More...
virtual void | setTemporalAreaRadius (int val)=0
| Radius of the temporal search area. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Public Member Functions inherited from cv::superres::FrameSource
virtual | ~FrameSource ()

## Protected Member Functions
| SuperResolution ()
virtual void | initImpl (Ptr< FrameSource > &frameSource)=0
virtual void | processImpl (Ptr< FrameSource > &frameSource, OutputArray output)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
bool | isUmat_

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Detailed Description

Base class for Super Resolution algorithms.

The class is only used to define the common interface for the whole family of Super Resolution algorithms.

## Constructor & Destructor Documentation

## ◆ SuperResolution()

cv::superres::SuperResolution::SuperResolution | ( |  | ) |
| protected

## Member Function Documentation

## ◆ collectGarbage()

virtual void cv::superres::SuperResolution::collectGarbage | ( |  | ) |
| virtual

Clear all inner buffers.

## ◆ getAlpha()

virtual double cv::superres::SuperResolution::getAlpha | ( |  | ) | const
| pure virtual

Parameter of spacial distribution in Bilateral-TV.

See also
  setAlpha

## ◆ getBlurKernelSize()

virtual int cv::superres::SuperResolution::getBlurKernelSize | ( |  | ) | const
| pure virtual

Gaussian blur kernel size.

See also
  setBlurKernelSize

## ◆ getBlurSigma()

virtual double cv::superres::SuperResolution::getBlurSigma | ( |  | ) | const
| pure virtual

Gaussian blur sigma.

See also
  setBlurSigma

## ◆ getIterations()

virtual int cv::superres::SuperResolution::getIterations | ( |  | ) | const
| pure virtual

Iterations count.

See also
  setIterations

## ◆ getKernelSize()

virtual int cv::superres::SuperResolution::getKernelSize | ( |  | ) | const
| pure virtual

Kernel size of Bilateral-TV filter.

See also
  setKernelSize

## ◆ getLabmda()

virtual double cv::superres::SuperResolution::getLabmda | ( |  | ) | const
| pure virtual

Weight parameter to balance data term and smoothness term.

See also
  setLabmda

## ◆ getOpticalFlow()

virtual Ptr<cv::superres::DenseOpticalFlowExt> cv::superres::SuperResolution::getOpticalFlow | ( |  | ) | const
| pure virtual

Dense optical flow algorithm.

See also
  setOpticalFlow

## ◆ getScale()

virtual int cv::superres::SuperResolution::getScale | ( |  | ) | const
| pure virtual

Scale factor.

See also
  setScale

## ◆ getTau()

virtual double cv::superres::SuperResolution::getTau | ( |  | ) | const
| pure virtual

Asymptotic value of steepest descent method.

See also
  setTau

## ◆ getTemporalAreaRadius()

virtual int cv::superres::SuperResolution::getTemporalAreaRadius | ( |  | ) | const
| pure virtual

Radius of the temporal search area.

See also
  setTemporalAreaRadius

## ◆ initImpl()

virtual void cv::superres::SuperResolution::initImpl | ( | Ptr< FrameSource > & | frameSource | ) |
| protectedpure virtual

## ◆ nextFrame()

void cv::superres::SuperResolution::nextFrame | ( | OutputArray | frame | ) |
| virtual

Process next frame from input and return output result.

Parameters

  frame | Output result

Implements cv::superres::FrameSource.

## ◆ processImpl()

virtual void cv::superres::SuperResolution::processImpl | ( | Ptr< FrameSource > & | frameSource,
|  | OutputArray | output
| ) |  |
| protectedpure virtual

## ◆ reset()

void cv::superres::SuperResolution::reset | ( |  | ) |
| virtual

Implements cv::superres::FrameSource.

## ◆ setAlpha()

virtual void cv::superres::SuperResolution::setAlpha | ( | double | val | ) |
| pure virtual

Parameter of spacial distribution in Bilateral-TV.

See also
  getAlpha

## ◆ setBlurKernelSize()

virtual void cv::superres::SuperResolution::setBlurKernelSize | ( | int | val | ) |
| pure virtual

Gaussian blur kernel size.

See also
  getBlurKernelSize

## ◆ setBlurSigma()

virtual void cv::superres::SuperResolution::setBlurSigma | ( | double | val | ) |
| pure virtual

Gaussian blur sigma.

See also
  getBlurSigma

## ◆ setInput()

void cv::superres::SuperResolution::setInput | ( | const Ptr< FrameSource > & | frameSource | ) |

Set input frame source for Super Resolution algorithm.

Parameters

  frameSource | Input frame source

## ◆ setIterations()

virtual void cv::superres::SuperResolution::setIterations | ( | int | val | ) |
| pure virtual

Iterations count.

See also
  getIterations

## ◆ setKernelSize()

virtual void cv::superres::SuperResolution::setKernelSize | ( | int | val | ) |
| pure virtual

Kernel size of Bilateral-TV filter.

See also
  getKernelSize

## ◆ setLabmda()

virtual void cv::superres::SuperResolution::setLabmda | ( | double | val | ) |
| pure virtual

Weight parameter to balance data term and smoothness term.

See also
  getLabmda

## ◆ setOpticalFlow()

virtual void cv::superres::SuperResolution::setOpticalFlow | ( | const Ptr< cv::superres::DenseOpticalFlowExt > & | val | ) |
| pure virtual

Dense optical flow algorithm.

See also
  getOpticalFlow

## ◆ setScale()

virtual void cv::superres::SuperResolution::setScale | ( | int | val | ) |
| pure virtual

Scale factor.

See also
  getScale

## ◆ setTau()

virtual void cv::superres::SuperResolution::setTau | ( | double | val | ) |
| pure virtual

Asymptotic value of steepest descent method.

See also
  getTau

## ◆ setTemporalAreaRadius()

virtual void cv::superres::SuperResolution::setTemporalAreaRadius | ( | int | val | ) |
| pure virtual

Radius of the temporal search area.

See also
  getTemporalAreaRadius

## Member Data Documentation

## ◆ isUmat_

bool cv::superres::SuperResolution::isUmat_
| protected

The documentation for this class was generated from the following file:

- superres/include/opencv2/superres.hpp